/*
** Copyright (C) 2003-2006 Teus Benschop.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/


#ifndef INCLUDED_PROJECTUTILSOLD1_H
#define INCLUDED_PROJECTUTILSOLD1_H


#include "libraries.h"
#include "categorize.h"
#include "sqlite_reader.h"


vector<ustring> projects_old1_get_all ();
ustring project_old1_filename (const ustring& project);
bool project_old1_exists (const ustring& project);
void project_old1_create (const ustring& project);
void project_old1_store_book (const ustring& project, const ustring& book, CategorizeChapterVerse& ccv);
void project_old1_update_book (const ustring& project, const ustring& book, unsigned int timestamp);
ustring project_old1_retrieve_verse (const ustring& project, const ustring& book, unsigned int chapter, const ustring& verse);
vector<ustring> project_old1_retrieve_chapter (const ustring& project, const ustring& book, unsigned int chapter);
vector<ustring> project_old1_get_books (const ustring& project);
vector<unsigned int> project_old1_get_chapters (const ustring& project, const ustring& book);
vector<ustring> project_old1_get_verses (const ustring& project, const ustring& book, unsigned int chapter);


#endif
